<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   $qcc1 = "SELECT curdate() ";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
           $date=$rrc[0];
	   

           $vef=0;
           $vdep=0;
           $vns=0;
           $vas=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  
  $q2 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, idtransacciones FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE  tipostr_idtipostr='10'and fechat=curdate() and status='EFECTIVO' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
  echo"<center><br><img src=\"ventasdia.gif\"><br><br>Notas de Venta Efectivo $date<br><table border=\"1\"> <tr>
			<th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  
	   $vef+=$a4;
	   
	  
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td></tr>";
	}
                                       echo"</table>Total ventas en efectivo $vef<br>";        }
      $q29 = "SELECT referencia, inversionista.nombre, appat, apmat, cantidad, no_ficha, fechat, idtransacciones, fechad FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE  tipostr_idtipostr='10'and fechat=curdate() and status='DEPOSITO' and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c29 = mysqli_query($conexion, $q29) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
  echo"<center><br>Notas de Venta Depositos $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>Ref.</th><th>Nombre</th><th>Compras</th><th>Folio</th><th>Fecha Dep</th>
            </tr>";
  for($i=0;$r1 = mysqli_fetch_row($c29);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
      $a8 = $r1[8]; 
      
       $vdep+=$a4;
       
      
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a6</td></tr>";
    }
    
                                   echo"</table>Total depositos $vdep";      }
      $q21 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE  tipostr_idtipostr='11'and fechat=curdate() and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
  echo"<center><br>Notas de Salida $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th>
            </tr>";
  for($i=0;$r1 = mysqli_fetch_row($c21);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];

      
       $vns+=$a4;
       
      
echo"<tr><td>$a6</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td></tr>";
    }
	echo"</table>Total Notas de Salida $vns";          }
    
      $q22 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, nsalida FROM transacciones join depositos 
      on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
      left join asignaciones on asignaciones.idtransacciones=transacciones.idtransacciones WHERE  tipostr_idtipostr='12'and fechat=curdate() and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c22 = mysqli_query($conexion, $q22) or die ('Error en la consulta' . mysqli_error($conexion));
  if(mysqli_affected_rows($conexion))
   {
  echo"<center><br>Asignaci&oacute;n de Producto $date<br><table border=\"1\"> <tr>
            <th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota Salida</th>
            </tr>";
  for($i=0;$r1 = mysqli_fetch_row($c22);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
       $a8 = $r1[8]; 
              $vas+=$a4;  
       
      
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a8</td></tr>";
    }
    
    
    
    
    
    
    echo"</table>Total de Asignaciones de Producto $vas";    }
                                     $grantotal=$vef+$vns;
    echo"<br><br>Total en efectivo al $date : <font size=\"5\"> <b>$ $grantotal</b></font><br>";
  
?>